%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define pkgname feedparser
%define version 5.1.3

Summary: Parse RSS and Atom feeds in Python
Name: python-feedparser
Version: %{version}
Release: %mkrel 2
Source0: http://ovh.dl.sourceforge.net/sourceforge/%{pkgname}/%{pkgname}-%{version}.tar.xz
License: BSD
URL: http://feedparser.org/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: python
BuildRequires: python-devel


%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds

%prep
%setup -q -n %{pkgname}-%{version} -c  

perl -pi -e 's/\r\n$/\n/' $(find docs -type f)

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README docs/
/usr/lib/python*/site-packages/

%changelog
* Sun Aug 18 2013 billybot <billybot> 5.1.3-2pclos2013
- update python 2.7

* Mon Dec 31 2012 Ken <lxgator@gmail.com> 5.1.3-1pclos2013
- 5.1.3

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package

* Mon Sep 21 2009 texstar <texstar at gmail.com>
-rebuild


